Bug 1467577 - [Docs][Upgrade] Revise the Red Hat Virtualization 4.1 Upgrade Considerations
[Docs][Upgrade] Revise the Red Hat Virtualization 4.1 Upgrade Considerations
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
4.1.3
Unspecified Unspecified
urgent Severity urgent
: ovirt-4.1.4
: ---
Assigned To: Byron Gravenorst
Tahlia Richardson
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-04 05:07 EDT by Jiri Belka
Modified: 2017-07-17 01:22 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-17 01:22:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Docs
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Belka 2017-07-04 05:07:06 EDT
Description of problem:

https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.1/html/upgrade_guide/chap-upgrading_to_red_hat_virtualization_4.1#Red_Hat_Virtualization_4.1_Upgrade_Considerations states:

"Upgrading to version 4.1 can only be performed from version 4.0

    To upgrade a version of Red Hat Virtualization earlier than 4.0 to Red Hat Virtualization 4.1, you must sequentially upgrade to later versions of Red Hat Virtualization before upgrading to the latest version. For example, if you are using Red Hat Enterprise Virtualization 3.6, you must upgrade to the latest minor version of Red Hat Virtualization 4.0 before you can upgrade to Red Hat Virtualization 4.1. See the Upgrade Guide for Red Hat Virtualization 4.0 for instructions to upgrade to the latest 4.0 minor version.
    The data center and cluster compatibility version must be at version 4.0 before performing the upgrade."

The whole above section is incorrect, it seems like copy from 4.0.

Version-Release number of selected component (if applicable):
4.1

How reproducible:
100%

Steps to Reproduce:
1. read 3.1. Red Hat Virtualization 4.1 Upgrade Considerations contains incorrect info
2.
3.

Actual results:
incorrect info about must to have 4.0 DC/CL compat level before upgrading to 4.1

Expected results:
doc should be correct

Additional info:
Comment 1 Lucy Bopf 2017-07-04 20:50:21 EDT
Hi Jiri,

What do you suggest that we change this to? My understanding is that this note is correct; we only support upgrading to 4.1 from 4.0, not from 3.6 or earlier. Is this no longer the case?
Comment 2 Yaniv Lavi 2017-07-10 10:53:27 EDT
The manager update needs to be stepped (example 3.6->4.0->4.1).
The hosts are not stepped (3.6->4.1). You need to upgrade to latest host from the channel.

In a 4.1 manager, you can still have 3.6 and 4.0 clusters and this is not an issue.

This is urgent, please fix.
Comment 3 Lucy Bopf 2017-07-11 01:11:27 EDT
Assigning to Byron for review.

Byron, see Yaniv's comment 2. We just need to update the wording slightly to capture that.
Comment 7 Byron Gravenorst 2017-07-16 19:53:31 EDT
Moving to ON_QA.

Note You need to log in before you can comment on or make changes to this bug.